Esempio n. 1
0
        public View(LightingStyle lightStyle)
        {
            //this.viewyGUI = new GuiLayer(this, new Rectangle(0, 0, 0, 0));
            //this.viewyGUI.SetGameLayer(true);
            this.LightStyle = lightStyle;

            this.Activate();
            if (View.mainView == null)
            {
                View.mainView = this;
                // The main view's size should match whatever size the renderer is set to.
                this.size = Game.Renderer.GetSize();
            }

            this.EntitiesVisible = true;
            this.TilesVisible = true;
            this.LightsVisible = true;
        }
Esempio n. 2
0
        private void SetLights()
        {
            PartDocument partDoc = mInventorApp.ActiveDocument as PartDocument;

            LightingStyle lightStyle = partDoc.LightingStyles.Add("RubikAppLight");

            Box box = partDoc.ComponentDefinition.RangeBox;

            for (int i = 0; i < 4; i++)
            {
                Light light = lightStyle.Lights.Add(LightTypeEnum.kModelSpaceLight);
                light.Color     = mInventorApp.TransientObjects.CreateColor(255, 241, 224);
                light.Intensity = 0.4;
                light.On        = true;
            }

            partDoc.ActiveLightingStyle = lightStyle;
            partDoc.Views[1].Update();
        }
Esempio n. 3
0
 public void SetLightingStyle(LightingStyle newStyle)
 {
     this.LightStyle = newStyle;
 }